/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright by The HDF Group (THG).                                         *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of eos52nc4. The full eos52nc4 copyright notice,      *
 * including terms governing use, modification, and redistribution, is       *
 * contained in the files COPYING and Copyright.html. COPYING can be         *
 * found at the root of the source code distribution tree; Copyright.html    *
 * can be found at the root level of an installed copy of the electronic     *
 * eos52nc4 document set and is linked from the top-level documents page.   *
 * It can also be found at                                                   *
 * http://www.hdfgroup.org/H4H5TOOLS/doc/Copyright.html. If you do not have  *
 * access to either file, you may request a copy from help@hdfgroup.org.     *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef TOY_HDFEOS5_H
#define TOY_HDFEOS5_H

#include "toy_util.h"

int open_hdfeos5(hid_t ctxid, const char *fname);
int read_hdfeos5_onegrid(hid_t ctxid, const char *gridname, grid_t *grid);
int read_hdfeos5_oneswath(hid_t ctxid, const char *swathname, swath_t *swath);
int close_hdfeos5(hid_t ctxid);

#endif

// vim:ts=8:sw=2:sts=2:cindent
